Description

| want to set up a custom field that displays as a hyperlink, but without displaying the target URL (sort of like this).

First | tried the “Link” type, which did let me enter in the link. | saw your instructions on creating custom view templates, but that is
somewhat beyond my skill level, so | tried doing this with “Wiki text” type instead. This worked! However, | can’t get the default value
| specified to fill in automatically when | create a new issue. The field is always blank until I fill it in.

Example configuration:

Name ECO
Format Wiki text
Min - Max length 0-0
Regular expression "[A-Za-z0-9_\\s-]+":http://servername/ECO/C\\d{
5}1$
Default value "Link":http://servername/EC0O/C00000
Hint Replace only C00000

Thank you for your work by the way; your plug-in is exceedingly useful!

Related issues:
Related to Extended Fields - Bug #2197: "Wiki text" custom fields are not tex... Closed 24 Jul 2013 06 Sep 2013

History

#1 - 26 Aug 2013 14:31 - Andriy Lesyuk

- Status changed from New to Open

Did you use version from SVN repository?

#2 - 06 Sep 2013 21:24 - Andriy Lesyuk
- Target version deleted (0.2.2)

That’s weird, because the “Wiki text” does not support regular expression... | guess you used some older version (not the one from SVN).

| can’t reproduce this on the latest source code (the default value gets into the form). In your case, | think, the regexp prevented the default value to
get there... The regexp does not look to be correct (\s can’t be used inside [...], | believe).

#3 - 19 Sep 2013 00:21 - Jeremy Bailey

Sorry for the long delay in responding. | will update to the latest version from SVN, and see if I'm able to reproduce the issue. We recently upgraded
to the new 2.3-stable build (2.3.3), so this will verify your plug-in’s functionality with the latest Redmine version as well.

20 Mar 2024 1/1



http://projects.andriylesyuk.com/projects/extended-fields%22
http://www.tcpdf.org

